import { css } from '@microsoft/fast-element';
/**
 * @public
 */
export const FoundationAlertsStyles = css `

  .wrapper:has(foundation-form) {
    padding: calc(var(--design-unit) * 4px);
  }

  .header {
    width: calc(100% - (var(--design-unit) * 5px - var(--design-unit) * 3px)));
    display: flex;
    align-items: center;
    padding: calc(var(--design-unit) * 3px) calc(var(--design-unit) * 4px);
  }

  .header .main-button {
    margin: 0;
    color: var(--neutral-fill-strong-rest);
    height: calc((var(--base-height-multiplier) + var(--design-unit) + 2) * 2px);
    min-width: calc((var(--base-height-multiplier) + var(--design-unit)) * 2px);
    width: calc((var(--base-height-multiplier) + var(--design-unit) + 2) * 2px);
    align-items: center;
    justify-content: center;
  }

  .header .main-button::part(actions-container) {
    position: relative;
  }

  .header .main-button::part(actions-container),
  .header .main-button::part(actions-opener) {
    height: 100%;
    min-width: calc((var(--base-height-multiplier) + var(--design-unit) + 2) * 2px);
  }

  .header .main-button::part(actions-opener) {
    color: var(--neutral-fill-strong-rest);
    margin: 0;
  }

  .header .main-button::part(control) {
    height: 100%;
  }

  .header .main-button::part(actions-menu) {
    top: calc(100% + var(--design-unit) * 1px);
    right: 0;
  }

  .title {
    padding: 0;
    margin: 0;
    font-size: var(--type-ramp-plus-2-font-size);
    font-weight: 500;
    color: var(--neutral-foreground-rest);
  }

  .main-menu {
    display: flex;
    margin-left: auto;
    gap: calc(var(--design-unit) * 2px);
  }

  .list,
  .item-title,
  .item-bottom {
    width: 100%;
  }

  .list {
    padding: 0;
    margin: 0;
    list-style: none;
  }

  .item {
    width: calc(100% - (var(--design-unit) * 3px) - (var(--design-unit) * 5px));
    padding: calc(var(--design-unit) * 3px) calc(var(--design-unit) * 4px);
    color: var(--neutral-foreground-rest);
  }

  .item-title {
    padding: 0;
    margin: 0 0 calc(var(--design-unit) * 2px) 0;
    font-size: var(--type-ramp-base-font-size);
    font-weight: 400;
  }

  .item-bottom {
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
    gap: calc(var(--design-unit) * 4px);
    font-size: var(--type-ramp-base-font-size);
    color: var(--neutral-foreground-hint);
  }

  .item-menu {
    display: flex;
    margin-left: auto;
    gap: calc(var(--design-unit) * 5px);
  }

  .item-menu .button {
    color: var(--neutral-stroke-rest);
    border: none;
  }

  .item-menu .button:hover {
    color: var(--neutral-stroke-hover);
  }

  .item-bottom .button {
    background: none;
    margin: 0;
    min-width: auto;
  }

  .header .button::part(control),
  .item-bottom .button::part(control) {
    padding: 0;
    border: none;
  }

  .status.enabled {
    color: var(--success-color);
  }

  .status.disabled {
    color: var(--error-color);
  }

  .empty {
    font-size: var(--type-ramp-base-font-size);
    padding: calc(var(--design-unit) * 3px) calc(var(--design-unit) * 4px);
    margin: 0;
  }

  .item-separator {
    margin: 0;
  }
`;
